.related-events {
    width: 100%;
    overflow-x: auto;
}
.event-table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
    background-color: #F2F4F7;
    border-radius: 16px;
    overflow: hidden;
}

/* LONG: 5 колонок */
.event-table th:nth-child(1) { width: 15%; }
.event-table th:nth-child(2) { width: 15%; }
.event-table th:nth-child(3) { width: 10%; }
.event-table th:nth-child(4) { width: 20%; }
.event-table th:nth-child(5) { width: 23.2%; }

.event-table--medium th:nth-child(1) { width: 20%; }
.event-table--medium th:nth-child(2) { width: 10.5%; }
.event-table--medium th:nth-child(3) { width: 10.5%; }
.event-table--medium th:nth-child(4) { width: 23%; }
.event-table--medium th:nth-child(5) { width: 10.5%; }
.event-table--medium th:nth-child(6) { width: 26%; }


.event-table tr:not(:last-child),
.event-table thead tr {
    border-bottom: 1px solid #ddd;
}
.event-table th,
.event-table td {
    padding: 15px;
    text-align: center;
    font-size: 15px;
    line-height: 160%;
}
.event-table th li,
.event-table td li {
   font-size: 15px;
}
.event-table th:not(:last-child),
.event-table td:not(:last-child) {
    border-right: 1px solid #ddd;
}
.event-table tr th:first-child {
    text-align: left;
}
.event-table th {
    font-weight: bold;
}
.event-table ul {
    list-style: none;
    padding: 0;
    margin: 0;
}
.event-table li {
    margin-bottom: 5px;
}
.event-table td .button.secondary {
    width: fit-content;
    background-color: transparent;
    border: 2px solid rgba(255, 102, 51, 0.50);
    margin: auto;
    padding: 10px 20px;
}
.event-table td.button-registrations {
    display: flex;
    justify-content: center;
    align-items: center;
}
.event-table td.button-registrations a.button.secondary {
    margin: 0;
}

/* Мобильная версия */
@media (max-width: 768px) {
    .event-table {
        display: block;
    }
    .event-table thead,
    .event-table tbody,
    .event-table th,
    .event-table td,
    .event-table tr {
        display: block;
    }
    .event-table thead tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }
    .event-table tr {
        margin-bottom: 10px;
        border-bottom: 1px solid #ddd; /* Граница между строками */
    }
    .event-table tr:last-child {
        border-bottom: none;
    }
    .event-table td {
        display: flex;
        gap: 15px;
        text-align: left;
        font-size: 14px;
        line-height: normal;
        border-right: none !important;
    }
    .event-table td ul li {
        font-size: 14px;
    }
    .event-table td::before {
        content: attr(data-label); /* Используем атрибут data-label для названий полей */
        flex: 0 0 50%;
        padding-right: 10px;
        text-align: left;
        font-weight: bold;
        color: #333;
    }
}
@media (max-width: 450px) {
    .event-table td::before { /* Используем атрибут data-label для названий полей */
        flex: 0 0 30%;
    }
}
